//
//  tank
//
//  Import and Playlist Daemon for autoradio project
//
//
//  Copyright (C) 2017 Christian Pointner <equinox@helsinki.at>
//
//  This file is part of tank.
//
//  tank is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  any later version.
//
//  tank is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with tank. If not, see <http://www.gnu.org/licenses/>.
//

package v1

import (
	"gitlab.servus.at/autoradio/tank/store"
)

// common
type ErrorResponse struct {
	Error string `json:"error,omitempty"`
}

type APIEndpoint struct {
	Methods []string `json:"allowed-methods"`
}

type APIListing struct {
	Endpoints map[string]*APIEndpoint `json:"endpoints"`
}

// Groups
type GroupsListing struct {
	Groups []string `json:"groups"`
}

// Imports
// TODO: add me

// Files
type FilesListing struct {
	Files store.Files `json:"files"`
}

// Playlists
// TODO: add me
